summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2016-03-02 21:31:26 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2016-03-02 21:31:32 +0100
commit23cf2277fc82a948482adf6f11ae132f58cf263e (patch)
tree8abd06ce1fede64c2c4a790adbfeb14980dc7c8f /scripts
parent2498dca71d0f694dc7fcab6a73a3d04b2c475ea8 (diff)
build host u-boot when mkimage is not installed
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/prereq.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/prereq.sh b/scripts/prereq.sh
index 231d66655..e9391357e 100755
--- a/scripts/prereq.sh
+++ b/scripts/prereq.sh
@@ -462,6 +462,11 @@ if ! which m4 >/dev/null 2>&1; then
host_build_m4=1
fi
+host_build_mkimage=0
+if ! which mkimage >/dev/null 2>&1; then
+ host_build_mkimage=1
+fi
+
host_build_mksh=0
if ! which mksh >/dev/null 2>&1; then
host_build_mksh=1
@@ -594,6 +599,9 @@ fi
if [ $host_build_m4 -eq 1 ]; then
printf "\t%s\n" "select ADK_HOST_BUILD_M4" >> $topdir/target/config/Config.in.prereq
fi
+if [ $host_build_mkimage -eq 1 ]; then
+ printf "\t%s\n" "select ADK_HOST_BUILD_U_BOOT" >> $topdir/target/config/Config.in.prereq
+fi
if [ $host_build_mksh -eq 1 ]; then
printf "\t%s\n" "select ADK_HOST_BUILD_MKSH" >> $topdir/target/config/Config.in.prereq
fi